% define parameters
workingPath = "C:\MatVLF\SingleSetupExample\";
inputVariables = {'Rectangular Grating\Modulation Depth'}; % 'LightPathElement Name\ShortName'
% define varying range
gratingDepthMax = 10^-2; % given in mm
gratingDepthMin = 10^-4; % given in mm
stepNumber = 100;
stepSize = (gratingDepthMax - gratingDepthMin) / (stepNumber - 1);
efficiencies = zeros(1, stepNumber);
% loop for input variables
for i = 1:stepNumber
    % current value of variable
    gratingDepth = gratingDepthMin +  (i-1) * stepSize;
    % call function
    outputFunctionValues = VLFBatchEvaluation(workingPath, inputVariables, gratingDepth);
    % get the function value under investigation
    minusFirstEfficiency = outputFunctionValues(1);
    efficiencies(i) = minusFirstEfficiency;
end
% plot the results
x = gratingDepthMin : stepSize : gratingDepthMax;
plot(x, efficiencies)



